@import '../../../../assets/styles/common.scss';

.custom-ui-spinbox {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;

    &-textfield {
        &.mdl-textfield {
            width: 100%;
        }

        .mdl-textfield__label {
            &:after {
                background-color: $bgColor;
            }
        }

        .mdl-textfield--floating-label.is-dirty, 
        .mdl-textfield--floating-label.is-focused {
            .mdl-textfield__label {
                color: $bgColor;
            }
        }
    }

    &-range-navigation-container {
        display: flex;
        margin-top: 12px;
        flex-wrap: nowrap;
        flex-direction: column;

        &-button {
            border: 0;
            background: none;
            padding: 0;
            outline: none;
            cursor: pointer;
            &:active {
                background: rgba(0,0,0,.16);
            }
            svg {
                width: 22px;
                height: 20px;
                min-width: 22px;
                color: $bgColor; 
                font-size: 20px;
                border-radius: 0px;
                pointer-events: none;

                &:hover {
                    color: darken($bgColor, 15); 
                }

                &:focus {
                    color: darken($bgColor, 45); 
                }
            }
        }
    }
}

[disabled] .custom-ui-spinbox-range-navigation-container-button {
  cursor: default;
}

@media screen and (max-width: 768px) {
    .custom-ui-spinbox-range-navigation-container {
        margin-top: 0;
        &-button {
            svg {
                width: 28px;
                height: 28px;
                margin: 2px;
            }
        }
    }
}